#
%define         qtver   4.6.3
%define		kdever	4.5.0

Summary:	Native KDE BitTorrent client
Summary(de.UTF-8):	Ein nativer KDE BitTorrent Klient
Summary(pl.UTF-8):	Natywny klient BitTorrenta dla KDE
Name:		ktorrent
Version:	4.1.3
Release:	1
License:	GPL
Group:		Applications/Networking
Source0:	http://ktorrent.org/downloads/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	4cdd6597a11a465d91e17ac86320883e
Patch0:		plasma_applet_remove_taskmanager.diff
URL:		http://ktorrent.org/
BuildRequires:	Qt3Support-devel >= %{qtver}
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtNetwork-devel >= %{qtver}
BuildRequires:	QtScript-devel >= %{qtver}
BuildRequires:	QtSvg-devel >= %{qtver}
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	boost-devel
BuildRequires:	cmake >= 2.8.0
BuildRequires:	gettext-devel
BuildRequires:	gmp-devel
BuildRequires:	kde4-kdebase-workspace-devel >= %{kdever}
BuildRequires:	kde4-kdelibs-devel >= %{kdever}
BuildRequires:	kde4-kdepimlibs-devel >= %{kdever}
BuildRequires:	libktorrent-devel >= 1.0.5
BuildRequires:	qca-devel >= 2.0.0
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	strigi-devel >= 0.7.2
BuildRequires:	taglib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KTorrent is a BitTorrent program for KDE.

Its main features are:
- Downloads torrent files
- Upload speed capping, seeing that most people can't upload infinite
  amounts of data.
- Internet searching using various search engines, you can even add
  your own.
- UDP Trackers

%description -l de.UTF-8
KTorrent ist ein BitTorrent Klient für KDE.

Hauptfunktionen sind:
- Torrent-Dateien Download
- Begränzung des Uploades, so dass Mehrheit der Leute nicht unerlaubt
  unbegränzte Datenflüsse sendet
- Durchsuchung des Internets mit hilfe diverser Browser, man kann
  sogar den eigenen Browser dazu schreiben
- UDP Trackers

%description -l pl.UTF-8
KTorrent to klient BitTorrenta dla KDE.

Główne cechy to:
- ściąganie plików torrent
- ograniczanie szybkości uploadu, baczące żeby większość ludzi nie
  przesyłała nieograniczonej ilości danych
- przeszukiwanie Internetu przy użyciu różnych wyszukiwarek, można
  nawet dodać własną
- trackery UDP

%prep
%setup -q
%patch0 -p1

%build
install -d build
cd build
%cmake .. \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

# remove lib symlinks - devel subpackage is not needed anyway
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.so

# remove unsupported langs
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/sr@ijekavian*
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/ar
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/eu
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/se

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ktorrent
%attr(755,root,root) %{_bindir}/ktmagnetdownloader
%attr(755,root,root) %{_bindir}/ktupnptest
%attr(755,root,root) %{_libdir}/kde4/kio_magnet.so
%attr(755,root,root) %{_libdir}/kde4/ktbwschedulerplugin.so
%attr(755,root,root) %{_libdir}/kde4/ktinfowidgetplugin.so
%attr(755,root,root) %{_libdir}/kde4/ktipfilterplugin.so
%attr(755,root,root) %{_libdir}/kde4/ktlogviewerplugin.so
%attr(755,root,root) %{_libdir}/kde4/ktscanfolderplugin.so
%attr(755,root,root) %{_libdir}/kde4/ktsearchplugin.so
%attr(755,root,root) %{_libdir}/kde4/ktstatsplugin.so
%attr(755,root,root) %{_libdir}/kde4/ktupnpplugin.so
%attr(755,root,root) %{_libdir}/kde4/ktwebinterfaceplugin.so
%attr(755,root,root) %{_libdir}/kde4/ktmagnetgeneratorplugin.so
%attr(755,root,root) %{_libdir}/kde4/ktmediaplayerplugin.so
%attr(755,root,root) %{_libdir}/kde4/ktzeroconfplugin.so
%attr(755,root,root) %{_libdir}/kde4/ktdownloadorderplugin.so
%attr(755,root,root) %{_libdir}/kde4/ktshutdownplugin.so
%attr(755,root,root) %{_libdir}/kde4/ktscriptingplugin.so
%attr(755,root,root) %{_libdir}/kde4/ktsyndicationplugin.so
%attr(755,root,root) %{_libdir}/kde4/plasma_engine_ktorrent.so
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_ktorrent.so
%attr(755,root,root) %ghost %{_libdir}/libktcore.so.??
%attr(755,root,root) %{_libdir}/libktcore.so.*.*.*
%{_desktopdir}/kde4/ktorrent.desktop
%{_datadir}/apps/ktorrent
%{_datadir}/config.kcfg/magnetsettings.kcfg
%{_datadir}/kde4/services/ktbwschedulerplugin.desktop
%{_datadir}/kde4/services/ktinfowidgetplugin.desktop
%{_datadir}/kde4/services/ktipfilterplugin.desktop
%{_datadir}/kde4/services/ktlogviewerplugin.desktop
%{_datadir}/kde4/services/ktscanfolderplugin.desktop
%{_datadir}/kde4/services/ktsearchplugin.desktop
%{_datadir}/kde4/services/ktstatsplugin.desktop
%{_datadir}/kde4/services/ktupnpplugin.desktop
%{_datadir}/kde4/services/ktwebinterfaceplugin.desktop
%{_datadir}/kde4/servicetypes/ktorrentplugin.desktop
%{_datadir}/kde4/services/ktmagnetgeneratorplugin.desktop
%{_datadir}/kde4/services/ktmediaplayerplugin.desktop
%{_datadir}/kde4/services/ktzeroconfplugin.desktop
%{_datadir}/kde4/services/ktdownloadorderplugin.desktop
%{_datadir}/kde4/services/ktscriptingplugin.desktop
%{_datadir}/kde4/services/ktshutdownplugin.desktop
%{_datadir}/kde4/services/ktsyndicationplugin.desktop
%{_datadir}/kde4/services/magnet.protocol
%{_datadir}/kde4/services/plasma-dataengine-ktorrent.desktop
%{_datadir}/kde4/services/plasma-applet-ktorrent.desktop
%{_iconsdir}/*/*/actions/kt-*.png
%{_iconsdir}/*/*/apps/ktorrent.png
%{_iconsdir}/*/*/actions/kt-*.svgz
%changelog
* Sun Apr 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ktorrent.git;a=log;h=master

* Tue Feb 28 2012 Mariusz Mazur <mmazur@pld-linux.org> eba08dd
- up to 4.1.3; stbr

* Wed Sep 07 2011 marti <marti@pld-linux.org> 92e4f8c
- up to 4.1.2
- dropped unused locales

* Thu Apr 07 2011 vip <vip@pld-linux.org> 55a1e3f
- up to 4.1.0

* Wed Feb 23 2011 blekot <blekot@pld-linux.org> bfb5668
- modified previous commend
- shutdown plugin works fine

* Wed Feb 23 2011 blekot <blekot@pld-linux.org> 1ed6ec7
- up to 4.0.5
- BR: libktorrent 1.0.5
- added svgz to files

* Tue Aug 17 2010 shadzik <shadzik@pld-linux.org> 71aa5cc
- 4.0.2

* Thu Aug 05 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a52b91f
- release 5

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 95fecc2
- unslash and guns

* Wed Jun 02 2010 shadzik <shadzik@pld-linux.org> 16d5d51
- find_lang always after lang removal!

* Wed Jun 02 2010 shadzik <shadzik@pld-linux.org> cfd0c26
- let's call it a typo :P

* Tue Jun 01 2010 shadzik <shadzik@pld-linux.org> a87f831
- remove unsupported langs
- rel 2

* Tue Jun 01 2010 shadzik <shadzik@pld-linux.org> b851137
- kill -devel subpackage - what was it for in the first place?
- remove lib symlinks in %install

* Tue Jun 01 2010 shadzik <shadzik@pld-linux.org> 1e5e19a
- %files

* Tue Jun 01 2010 shadzik <shadzik@pld-linux.org> fe7ea68
- BR: libktorrent-devel

* Tue Jun 01 2010 shadzik <shadzik@pld-linux.org> afb0ef2
- 4.0.0
- NFY!

* Mon May 03 2010 Elan Ruusamäe <glen@pld-linux.org> 9084faa
- add kde-am.patch

* Wed Mar 31 2010 shadzik <shadzik@pld-linux.org> a910ed9
- 3.3.4

* Tue Mar 30 2010 shadzik <shadzik@pld-linux.org> e735414
- BRs, unifications, blabla
- rel 2

* Fri Jan 22 2010 vip <vip@pld-linux.org> f2ad4da
- up to 3.3.3

* Thu Dec 03 2009 sparky <sparky@pld-linux.org> 4ef5346
- BR: automoc4, boost-devel, gettext-devel, qt4-build, taglib-devel

